## net.i2p.router.networkdb.kademlia
Class SearchMessageSelector

    java.lang.Object
      net.i2p.router.networkdb.kademlia.SearchMessageSelector

All Implemented Interfaces:
  MessageSelector

     class SearchMessageSelector

extends Object
implements MessageSelector

Check to see the message is a reply from the peer regarding the current search

Constructor Summary
`SearchMessageSelector(RouterContext context, RouterInfo peer, long expiration, SearchState state)`

Method Summary
`boolean` `continueMatching()` Returns true if the selector should still keep searching for further matches
`long` `getExpiration()` Returns the # of milliseconds since the epoch after which this selector should stop searching for matches
`boolean` `isMatch(I2NPMessage message)` Returns true if the received message matches the selector
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SearchMessageSelector

    public SearchMessageSelector(RouterContext context,
                                 RouterInfo peer,
                                 long expiration,
                                 SearchState state)

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### continueMatching

    public boolean continueMatching()

  Description copied from interface: `MessageSelector`
  Returns true if the selector should still keep searching for further matches

  Specified by:
    `continueMatching` in interface `MessageSelector`

### getExpiration

    public long getExpiration()

  Description copied from interface: `MessageSelector`
  Returns the # of milliseconds since the epoch after which this selector should stop searching for matches

  Specified by:
    `getExpiration` in interface `MessageSelector`

### isMatch

    public boolean isMatch(I2NPMessage message)

  Description copied from interface: `MessageSelector`
  Returns true if the received message matches the selector

  Specified by:
    `isMatch` in interface `MessageSelector`